wix: restore COPYING.rtf
ClosedPublic

Authored by indygreg on Mar 8 2019, 1:49 PM.

Details

Reviewers
None
Group Reviewers
hg-reviewers
Commits
rHG51685c6dcca3: wix: restore COPYING.rtf
Summary

8427fea04017 accidentally blew away the content of this file.
As part of restoring the content, I updated the copyright year
to 2019.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
indygreg created this revision.Mar 8 2019, 1:49 PM

Looks like this one forgot to be queued?

pulkit added a subscriber: pulkit.Mar 15 2019, 9:50 AM

I applied this locally and did hg diff -c . --git --binary locally and the output is empty. Not sure what's broken here.

In D6098#89413, @pulkit wrote:

I applied this locally and did hg diff -c . --git --binary locally and the output is empty. Not sure what's broken here.

Maybe it is a Phabricator/integration bug? Try this:

# HG changeset patch
# User Gregory Szorc <gregory.szorc@gmail.com>
# Date 1552069233 28800
#      Fri Mar 08 10:20:33 2019 -0800
# Node ID 577eab065a686f838bf13def7810d8d6f5f7f7ec
# Parent  7e95ade0f369d7509d04d6c0eefc06ca3d26c6e7
wix: restore COPYING.rtf

8427fea04017 accidentally blew away the content of this file.
As part of restoring the content, I updated the copyright year
to 2019.

Differential Revision: https://phab.mercurial-scm.org/D6098

diff --git a/contrib/packaging/wix/COPYING.rtf b/contrib/packaging/wix/COPYING.rtf
index e69de29bb2d1d6434b8b29ae775ad8c2e48c5391..320dd93cce160f2950b9e47d0144efecfe40a1d6
GIT binary patch
literal 1687
zc$|$@-*4MC5Z-fu{11n|tSvG}Qsalr!vL>H8l#D0*bWK<e4!=Ex|JdolCohK{@-^;
z$%~5t+kk+vtmAz@?jwB=E|jT|#$#OaW|L;aOcbgt6JE76n>5L84x+Rsgtev*i6{+f
zQRbC&UWEjfSSt@xwS&2>r5PQMmlp?-TWuZffRS*jNW{h|WfHO0t;&YOQLOnWHp(a`
zgLUxa%b*GjFdW>ZgN*)$$?fPUwy1XB(G)kL%~R1xR|t*6G!rhaUS~H6t#zwIDqjB-
z9pz7-B2k|u@T6ScI+Pm3&+-<sBpLpaCFw0Z$q;DCze}w_ngVR7l=F;ndGWS(cxl8-
zg_qReAE;*_=%FO3;B6Up(y0;bZ40?HKsKNc4%cl^Ktc)fnuOQ3z;e%Dw5CuFhy(=X
zY7e%I4_~G)@Fn`BVb-oS=J1HQGG2l7(C|0DQU$E{vHYIV7d<-MTk0wUS~CKLED*LN
zlAa+u0rcIjfY`j3feAaX4R88DEcc*gc-uGVtXa~=#@UUN#FUZV#1()hHm+<#S}JNu
zPkY!Q8NF7}dR4ai3aA#oO_mSOFH0CtSMY5-pO2@@)rcxXW$CTjs;(2(jYeurnw&IY
z&(xpp=AR#^e*DMeak5-7`}@gqdbe1>{qr2gFdNU8lg}@Y<2lS;=CkL;UC(`Dz}VQF
zP1nkM8qRBru5(c~1eVLSR-}B#eI=*2fM8kK&S5~a>Ey6Ixo!3iH&r0PnnoCn<QFke
zK#)XuS6Qg#{xt4>_&;PKoLPFsMrn*B2$nNcQhgz7xl!~MO|IL5X)sWCjL1^os2uqN
zy~l#|QD$gcZfU-+Ej@EY`zACs^xT1+?xR4X;d(T3jT(tIVe@zA)ZqOaIFHcSKul{4
zokQCC7+p%8gh-kGuN7B2#R-r3kU5<fiWOJz4x-~*A0(P?1}xa}VL(?z2azh+RwyOv
zmh#p!{+ks+Q`}-tj?ei3`jQV<U7)Zeti0-{#a+(_RnehZ(_IC!*rF#kCm>>py(_lw
z&^y`3YN6DB9oRA+cs?zPwCdB&6{+=<cwG?uR*_M;!YyIT7_R?w6KESFNy5o9f6_c+
zu{0n`29f)%3ZeP+`g*t94K}77Shu;>T?2ppd(VZgcvQOJ+qu*<WFHO>tJ&TBaWef1
x@A?k)>Ao9yrIo>aklXs*@p#}p&g*axtrmHi!oO`e9*?JMy2GYlg`X}j{sP5+QltO?
pulkit added a comment.EditedMar 16 2019, 10:12 PM
In D6098#89413, @pulkit wrote:

I applied this locally and did hg diff -c . --git --binary locally and the output is empty. Not sure what's broken here.

Maybe it is a Phabricator/integration bug? Try this:

# HG changeset patch
# User Gregory Szorc <gregory.szorc@gmail.com>
# Date 1552069233 28800
#      Fri Mar 08 10:20:33 2019 -0800
# Node ID 577eab065a686f838bf13def7810d8d6f5f7f7ec
# Parent  7e95ade0f369d7509d04d6c0eefc06ca3d26c6e7
wix: restore COPYING.rtf

8427fea04017 accidentally blew away the content of this file.
As part of restoring the content, I updated the copyright year
to 2019.

Differential Revision: https://phab.mercurial-scm.org/D6098

diff --git a/contrib/packaging/wix/COPYING.rtf b/contrib/packaging/wix/COPYING.rtf
index e69de29bb2d1d6434b8b29ae775ad8c2e48c5391..320dd93cce160f2950b9e47d0144efecfe40a1d6
GIT binary patch
literal 1687
zc$|$@-*4MC5Z-fu{11n|tSvG}Qsalr!vL>H8l#D0*bWK<e4!=Ex|JdolCohK{@-^;
z$%~5t+kk+vtmAz@?jwB=E|jT|#$#OaW|L;aOcbgt6JE76n>5L84x+Rsgtev*i6{+f
zQRbC&UWEjfSSt@xwS&2>r5PQMmlp?-TWuZffRS*jNW{h|WfHO0t;&YOQLOnWHp(a`
zgLUxa%b*GjFdW>ZgN*)$$?fPUwy1XB(G)kL%~R1xR|t*6G!rhaUS~H6t#zwIDqjB-
z9pz7-B2k|u@T6ScI+Pm3&+-<sBpLpaCFw0Z$q;DCze}w_ngVR7l=F;ndGWS(cxl8-
zg_qReAE;*_=%FO3;B6Up(y0;bZ40?HKsKNc4%cl^Ktc)fnuOQ3z;e%Dw5CuFhy(=X
zY7e%I4_~G)@Fn`BVb-oS=J1HQGG2l7(C|0DQU$E{vHYIV7d<-MTk0wUS~CKLED*LN
zlAa+u0rcIjfY`j3feAaX4R88DEcc*gc-uGVtXa~=#@UUN#FUZV#1()hHm+<#S}JNu
zPkY!Q8NF7}dR4ai3aA#oO_mSOFH0CtSMY5-pO2@@)rcxXW$CTjs;(2(jYeurnw&IY
z&(xpp=AR#^e*DMeak5-7`}@gqdbe1>{qr2gFdNU8lg}@Y<2lS;=CkL;UC(`Dz}VQF
zP1nkM8qRBru5(c~1eVLSR-}B#eI=*2fM8kK&S5~a>Ey6Ixo!3iH&r0PnnoCn<QFke
zK#)XuS6Qg#{xt4>_&;PKoLPFsMrn*B2$nNcQhgz7xl!~MO|IL5X)sWCjL1^os2uqN
zy~l#|QD$gcZfU-+Ej@EY`zACs^xT1+?xR4X;d(T3jT(tIVe@zA)ZqOaIFHcSKul{4
zokQCC7+p%8gh-kGuN7B2#R-r3kU5<fiWOJz4x-~*A0(P?1}xa}VL(?z2azh+RwyOv
zmh#p!{+ks+Q`}-tj?ei3`jQV<U7)Zeti0-{#a+(_RnehZ(_IC!*rF#kCm>>py(_lw
z&^y`3YN6DB9oRA+cs?zPwCdB&6{+=<cwG?uR*_M;!YyIT7_R?w6KESFNy5o9f6_c+
zu{0n`29f)%3ZeP+`g*t94K}77Shu;>T?2ppd(VZgcvQOJ+qu*<WFHO>tJ&TBaWef1
x@A?k)>Ao9yrIo>aklXs*@p#}p&g*axtrmHi!oO`e9*?JMy2GYlg`X}j{sP5+QltO?

I copied the patch and did hg import --obsolete <this-patch> and it does not apply. Looks like hg import is broken with binary patches.

This revision was automatically updated to reflect the committed changes.